API Reference
Saved searches
Recurring daily discovery searches. List them, enable or rename them, and delete them.
List saved searches
GET
/saved-searchesReturns saved searches newest first.
Response
{
"data": [
{
"id": "...",
"name": "New revenue leaders, weekly",
"spec": { "...": "the search rule" },
"recency": "7",
"enabled": true,
"last_run_at": "2026-07-03T...",
"created_at": "2026-06-01T..."
}
]
}Update a saved search
PATCH
/saved-searches/:idEnable, disable, or rename a saved search.
enabledbooleanoptionalTurn the recurring search on or off.
namestringoptionalRename the search.
Request
curl -X PATCH https://usehunch.co/api/v1/saved-searches/SEARCH_ID \
-H "Authorization: Bearer hunch_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{ "enabled": false }'Delete a saved search
DELETE
/saved-searches/:idResponse
{ "data": { "id": "...", "deleted": true } }